Upstream information

CVE-2015-3240 at MITRE

Description

The pluto IKE daemon in libreswan before 3.15 and Openswan before 2.6.45, when built with NSS, allows remote attackers to cause a denial of service (assertion failure and daemon restart) via a zero DH g^x value in a KE payload in a IKE packet.

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.3 5
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Medium Low
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Partial

Note from the SUSE Security Team

openswan is not affected as it was not built with NSS.

SUSE Bugzilla entry: 943104 [RESOLVED / INVALID]

No SUSE Security Announcements cross referenced.